-- ============================================================================
-- Project:	ddbench - Deductive System and Database Benchmarks
-- Filename:	db/benchmarks.sql
-- Purpose:	Database for Benchmark Runs: List of Benchmarks
-- Last Change:	06.02.2019
-- Language:	SQL (Tested with PostgreSQL)
-- Author:	Stefan Brass
-- EMail:	brass@informatik.uni-halle.de
-- WWW:		http://www.informatik.uni-halle.de/~brass/
-- Address:	Feldschloesschen 15, D-06120 Halle (Saale), GERMANY
-- Copyright:	(c) 2016-2019 by Stefan Brass
-- License:	See file "LICENSE" for copying conditions.
-- Note:	There is no warranty at all - this code may contain bugs.
-- ============================================================================


-- ============================================================================
-- List of Benchmarks:
-- ============================================================================

-- CREATE TABLE BENCHMARK(
-- 	BENCH      VARCHAR(20)  NOT NULL,
-- 	SEQ_NO     NUMERIC(2)   NOT NULL,
-- 	ITYPE      VARCHAR(8)   NULL,
-- 	HEADLINE   VARCHAR(80)  NOT NULL,
-- 	CONSTRAINT BENCHMARK_SEQ_NONNEGATIVE
-- 		CHECK(SEQ_NO >= 0),
-- 	CONSTRAINT BENCHMARK_PK
-- 		PRIMARY KEY (BENCH),
-- 	CONSTRAINT BENCHMARK_KEY_SEQ
-- 		UNIQUE (SEQ_NO),
-- 	CONSTRAINT BENCHMARK_REF_INPUT_TYPE
-- 		FOREIGN KEY (ITYPE) REFERENCES INPUT_TYPE);

-- INSERT INTO BENCHMARK VALUES (
--	BENCH, SEQ_NO, ITYPE->INPUT_TYPE,
--	HEADLINE);


INSERT INTO BENCHMARK VALUES (
	'dblp',   1, 'dblp',
	'DBLP Benchmark');

INSERT INTO BENCHMARK VALUES (
	'j1axy',  2, 'j1',
	'The Join1 Benchmark, Query a(X,Y)');

INSERT INTO BENCHMARK VALUES (
	'j1axyd', 3, 'j1',
	'The Join1 Benchmark (without duplicate elimination)');

INSERT INTO BENCHMARK VALUES (
	'tcff',   4, 'tc',
	'Transitive Closure Benchmark without Query Bindings');

INSERT INTO BENCHMARK VALUES (
	'tcbf',   5, 'tc',
	'Transitive Closure Benchmark with the First Argument Bound');

INSERT INTO BENCHMARK VALUES (
	'tcbfs',  6, 'tc',
	'Transitive Closure Benchmark, First Argument Bound, with SLDMagic');

INSERT INTO BENCHMARK VALUES (
	'tcfb',   7, 'tc',
	'Transitive Closure Benchmark with the Second Argument Bound');

INSERT INTO BENCHMARK VALUES (
	'sgff',   8, 'tc',
	'Same Generation Benchmark without Query Bindings');

INSERT INTO BENCHMARK VALUES (
	'sgbf',   9, 'tc',
	'Same Generation Benchmark with First Argument Bound');

INSERT INTO BENCHMARK VALUES (
	'sgfb',  10, 'tc',
	'Same Generation Benchmark with Second Argument Bound');

INSERT INTO BENCHMARK VALUES (
	'wine',  11, 'wine',
	'Wine Ontology Benchmark');

INSERT INTO BENCHMARK VALUES (
	'win',  12, 'tc',
	'win WFS Benchmark');

INSERT INTO BENCHMARK VALUES (
	'loadd', 13, 'dblp',
	'Test of Loader for DBLP Data');

INSERT INTO BENCHMARK VALUES (
	'loadt', 14, 'tc',
	'Test of Loader for Transitive Closure');

INSERT INTO BENCHMARK VALUES (
	'set1',  15, NULL,
	'Test of Set Insertion and Lookup (One Column)');

INSERT INTO BENCHMARK VALUES (
	'set2',  16, NULL,
	'Test of Set Insertion and Lookup (Two Columns)');

