-- ============================================================================
-- Project:	ddbench - Logic Programming and Database Benchmarks
-- Filename:	db/drop_db.sql
-- Purpose:	Database for Benchmark Runs: Drop all Tables and Views
-- Last Change:	02.02.2019
-- Language:	SQL (Tested with PostgreSQL)
-- Author:	Stefan Brass
-- EMail:	brass@informatik.uni-halle.de
-- WWW:		http://www.informatik.uni-halle.de/~brass/
-- Address:	Feldschloesschen 15, D-06120 Halle (Saale), GERMANY
-- Copyright:	(c) 2016-2019 by Stefan Brass
-- License:	See file "LICENSE" for copying conditions.
-- Note:	There is no warranty at all - this code may contain bugs.
-- ============================================================================


-- ============================================================================
-- Delete Old Versions of the Tables:
-- ============================================================================

-- When this script is executed the first time,
-- these commands generate errors (because the tables/views do not exist).

DROP VIEW TC_FILE_IDS;
DROP VIEW BENCH_FILE_LIST;

DROP VIEW INPUT_GRAPH_MD;
DROP VIEW INPUT_FILE_MD;
DROP VIEW BENCH_IMPL_MD;

DROP VIEW  PAR_RANGE;
DROP VIEW  LOAD_EFFICIENCY;
DROP VIEW  ESTIMATE_DATA;

DROP VIEW  NUM_BAD_ESTIMATES;
DROP VIEW  ESTIMATE_ERR;
DROP VIEW  ESTIMATE_FORMULA;
DROP VIEW  SPEED_REAL;
DROP VIEW  SPEED_REAL_DIFF;
DROP VIEW  SPEED_CPU;
DROP VIEW  MEM_EFFICIENCY;

DROP VIEW  PCT_CPU;
DROP VIEW  PCT_CPU_INPUT;
DROP VIEW  REAL_TOO_LARGE;
DROP VIEW  OUTLIER_MEM;
DROP VIEW  OUTLIER_CPU;
DROP VIEW  OUTLIER_REAL;

DROP VIEW  INPUT_GRAPH_HTML;
DROP VIEW  INPUT_GRAPH_LATEX;

DROP VIEW  TCFF_CPU;

DROP VIEW  TCFF_REAL_LATEX;
DROP VIEW  TCFF_REAL_FACTORS;
DROP VIEW  TCFF_REAL;

DROP VIEW  TCFF_REAL_XSB_HTML;
DROP VIEW  TCFF_REAL_XSB_LATEX;
DROP VIEW  TCFF_REAL_XSB_FACTORS;
DROP VIEW  TCFF_REAL_XSB;

DROP VIEW  TCFF_MEM;
DROP VIEW  TCFF_CPU_LATEX;
DROP VIEW  PLOT_MEM;
DROP VIEW  PLOT_CPU;
DROP VIEW  PLOT_REAL;

DROP VIEW  BEST_IMPL_CPU;
DROP VIEW  BEST_IMPL_REAL;

DROP VIEW  XSB;
DROP VIEW  BAM;
DROP VIEW  YAP;
DROP VIEW  SQLITE;
DROP VIEW  PSQL;
DROP VIEW  MARIA_COMPARE;
DROP VIEW  MARIA;
DROP VIEW  SOUFFLE;
DROP VIEW  JENA;
DROP VIEW  DATASCRIPT;

DROP VIEW  BEST_RESULT;
DROP VIEW  RESULT;
DROP VIEW  RUN_STATISTICS;
DROP VIEW  RUN_STAT;

DROP TABLE ESTIMATE_PAR;

DROP TABLE DUMMY_TAB;

DROP TABLE BENCH_RUN;
DROP TABLE BENCH_IMPL;
DROP TABLE INPUT_GRAPH;
DROP TABLE GRAPH_TYPE;
DROP TABLE INPUT_SET;
DROP TABLE INPUT_FILE;
DROP TABLE SYS_INSTALL;
DROP TABLE SYS_VER;
DROP TABLE TEST_SYS;
DROP TABLE SYS_TYPE;
DROP TABLE BENCHMARK;
DROP TABLE INPUT_TYPE;
DROP TABLE MACHINE;

