-- ============================================================================
-- Project:	ddbench - Deductive System and Database Benchmarks
-- Filename:	db/graph_types.sql
-- Purpose:	Database for Benchmark Runs: Types of Graphs, e.g. Complete Gr.
-- Last Change:	02.02.2019
-- Language:	SQL (Tested with PostgreSQL)
-- Author:	Stefan Brass
-- EMail:	brass@informatik.uni-halle.de
-- WWW:		http://www.informatik.uni-halle.de/~brass/
-- Address:	Feldschloesschen 15, D-06120 Halle (Saale), GERMANY
-- Copyright:	(c) 2016-2019 by Stefan Brass
-- License:	See file "LICENSE" for copying conditions.
-- Note:	There is no warranty at all - this code may contain bugs.
-- ============================================================================


-- ============================================================================
-- Graph Types / Parameterized Graphs (e.g. Complete Graph K_n):
-- ============================================================================

-- INSERT INTO GRAPH_TYPE VALUES (
--	GTYPE,  SEQ_NO, NAME);

INSERT INTO GRAPH_TYPE VALUES (
	'K',  1, 'Complete Graph (with loops)');
INSERT INTO GRAPH_TYPE VALUES (
	'T',  2, 'Total Order Graph (i.e. maximal acyclic graph)');
INSERT INTO GRAPH_TYPE VALUES (
	'C',  3, 'Cycle Graph');
INSERT INTO GRAPH_TYPE VALUES (
	'S',  4, 'Cycle Graph with Shortcuts');
INSERT INTO GRAPH_TYPE VALUES (
	'P',  5, 'Path');
INSERT INTO GRAPH_TYPE VALUES (
	'M',  6, 'Multi-Path');
INSERT INTO GRAPH_TYPE VALUES (
	'B',  7, 'Binary Tree');
INSERT INTO GRAPH_TYPE VALUES (
	'Y',  8, 'Y-Graph (many nodes pointing to first node of path)');
INSERT INTO GRAPH_TYPE VALUES (
	'U',  9, 'Random Graph with Uniform Node Degrees');
INSERT INTO GRAPH_TYPE VALUES (
	'A', 10, 'Random Acyclic Graph with Uniform Node Degrees');

