---
title: Introduction to rbench
---

We defined a benchmarking framework and [database](db.html) [rbench](https://gitlab.informatik.uni-halle.de/brass/rbench) in order to benchmark multiple database systems with many problems and problem instances. rbench is a collection of programs for solving problems in the database systems and bash scripts that start the database systems and run the problem instances.

This work is based on the OpenRuleBench benchmarking suite.

<!-- Additionally we developed the python library [benchF](https://gitlab.informatik.uni-halle.de/mwenzel/benchF) that is used to run a large amount of benchmarks in a uniform and automated manner. -->

We define some problems in a declarative way. We are interested in how different (kinds of) database systems faire in solving the problems. Of course, problem-specific implementations and algorithms are often faster, but we're interested in the declarative programming and specifications-as-programs.

A problem is a mapping from input to output. Where applicable we map from input to size of output in order to skip measuring the time it takes to write to standard output or a file.
A problem has one or more instances (input data) that can be solved using the same program or solver.

# Source code

* git repository: [https://gitlab.informatik.uni-halle.de/brass/rbench.git](https://gitlab.informatik.uni-halle.de/brass/rbench.git)
* archive: [https://gitlab.informatik.uni-halle.de/brass/rbench/-/archive/master/rbench-master.tar.gz](https://gitlab.informatik.uni-halle.de/brass/rbench/-/archive/master/rbench-master.tar.gz)
* [data](#problem-instances)
* [database definition](db.html)

# References and Related Work

* [Bottom-Up Evaluation with the "Push Method"](http://users.informatik.uni-halle.de/~brass/push/)
* [OpenRuleBench - Benchmarks for Semantic Web Rule Engines](http://rulebench.projects.semwebcentral.org/)
* [Experiences with Some Benchmarks for Deductive Databases and Implementations of Bottom-Up Evaluation](https://arxiv.org/abs/1701.00627)
