# Problem: Transitive Closure (tcff)

The TCFF problem is generating a Transitive closure of a directed graph. The output
is potentially quadratic in the input size.

    tc(A, B) :- par(A, B).
    tc(A, B) :- par(A, X), tc(X, B).

* Datalog Systems
  * Benchmarked Systems
    * BAM abstract machine (push method)
    * [Soufflé](souffle.html#tcff)
* Relational Database
  * Benchmarked Systems
    * [SQLite3](sqlite.html#tcff)
    * [MariaDB](mariadb.html#tcff)
    * [PostgreSQL](psql.html#tcff)
  * We used Recursive Common Table Expressions to express this query
  * We added an indexes on the second column of the base relation
* Prolog Systems
  * Benchmarked Systems
    * [SWI-Prolog](swipl.html#tcff)
    * [xsb](xsb.html#tcff)
    * [YAProlog](yap.html#tcff)
  * Tabling needs to be enabled to ensure termination for cyclic input graphs
* Graph Databases
  * Benchmarked Systems
    * [Apache Jena](jena.html#tcff)
  * SPARQL does not support general recursion. We used SPARQL 1.1 property paths to define the problem.

The instances are generated using our [graphgen tool](https://gitlab.informatik.uni-halle.de/mwenzel/graphgen).
