# tcff

We've added an index on the second column of the `par` relation.

```sql
-- tc.sql.tbl
SELECT pg_backend_pid(); -- this is needed to find the proper process
drop table if exists par;
create TEMPORARY table par(x integer not null, y integer not null);
\echo 'LOAD DATA'
\copy par from '{instance}';
create index par_y on par(y);
```

```sql
-- tcff.sql
with recursive tc_tmp as
    (select par.x, par.y
    from   par
    union
    select par.x, tc_tmp.y
    from   par, tc_tmp
    where  par.y = tc_tmp.x)
select count(*) from tc_tmp;
```

Launch: `cat tc.sql.tbl tcff.sql | psql`
